<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Info;

class InfoUseCase extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Info\InfoUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSUEBERSICHT_VA;
  }

  public static function getToolSectionId()
  {
    return 627;
  }

  public function hasAccess($pToolSectionId = null)
  {
    
    if (!parent::hasAccess()) {
      return false;
    }
    if (!$this->isRechtAllowed('632.1.2')) {
      return false;
    }

    return true;
  }

  protected function getMainReiterId()
  {
    return 632;
  }
}